## Send \R Output to a File

## Usage

    sink(file = NULL, append = FALSE)

## Arguments

`file` | a character string naming the file to write to, or `NULL` to stop ``sink''ing.
`append` | if `TRUE`, output will be appended to `file`; otherwise, it will overwrite the contents of `file`.

## Description

Diverts all R output to `file`, overwriting the file unless `append` is `TRUE`.

## Details

Only prompts and error messages continue to appear on the terminal.

`sink()` or `sink(file=NULL)` ends the diversion.

## Examples

    sink("sink-examp.txt")
    i <- 1:10
    outer(i,i,"*")
    sink()

[Package Contents]